#include "Simulator.h"
#include "OrGate.h"
#include "Inverter.h"
#include "Wire.h"
#include "Source.h"
#include "Meter.h"
#include <iostream>

int main(int argc, char * argv[]) {
		int maxtime;
		cout << "Ingrese el tiempo de simulacion deseado (Recomendado entre 40 a 100)" << endl;
		cin>>maxtime;
		cout << "Usted eligio un timempo de: "<< maxtime << endl;
		Simulator sim(maxtime);
		//Inversores        
		Inverter not0(2.0f, &sim);
  	Inverter not1(2.0f, &sim);  
    
    not0.connectInput(&not1);
    not0.connectOutput(&not1);
   	not1.connectInput(&not0);
    not1.connectOutput(&not0);

		Meter meter(argv[2]);
		meter.connectInput(&not0);
		meter.connectInput(&not1);

    sim.addMeter(&meter);
    sim.simulate();

    
}
