#ifndef METER
#define METER
#include <fstream>
#include <vector>
#include "InSignal.h"
#include "OutSignal.h"
#include <iostream>
using namespace std;

class Meter: public InSignal {
private:
  vector<OutSignal*> testPoints;
  ofstream out;
   
public:
  Meter (char * outFilename);
   // InSignal implementations
  virtual void inputValueChanged() {  // do nothing because meter acts under
  }                            // simulator indication
  virtual void connectInput (OutSignal* p_output);
  virtual void addSource(OutSignal* p_output);
   // InSignal implementations end
  void writeHeader();
  void log(float time);
};
#endif
