#include <iostream>
#include "ChangeEvent.h"
using namespace std;
int ChangeEvent::n_instancias=0;
int ChangeEvent::MAX_instancias=0;

ChangeEvent::ChangeEvent (UpdateListener * l, bool val, float t)  {
  listener = l;  
  value = val;
  time = t;
	n_instancias++;
	//cout << "Insntacia agregada,  Numero de instancias: "<< n_instancias << endl;
	if(n_instancias>MAX_instancias)
		MAX_instancias=n_instancias;
}
void ChangeEvent::performUpdate () {
    listener->updateOutputValue(value);
// cout << s.getTime() <<"\t"<<listeneretSimpleName()<<"\t"<<value<<endl;
}

void ChangeEvent::propagateUpdate () {
    listener->propagateOutputValue();
}

int ChangeEvent::getnuminstancia(){
		return n_instancias;
}
int ChangeEvent::getmaxinstancia(){
		return MAX_instancias;
}
float ChangeEvent::getTime() const {
    return time;
}

ChangeEvent::~ChangeEvent() {
		n_instancias--;
		//cout << "Instancia destruida, Numero de instancias: " << n_instancias <<endl;
}
